## kproperty 3.1.0

=== CMakeLists.txt ===
set(KPROPERTY_GENERATE_PRI TRUE)
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)

project(KProperty VERSION 3.1.0) # Update this

# CMake
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

# ECM
if(KPROPERTY_GENERATE_PRI)
    include(ECMGeneratePriFile)
endif()
include(ECMGenerateHeaders)
include(ECMOptionalAddSubdirectory)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

# Own
include(KPropertyAddIconsRccFile)
include(KPropertyAddQCH)
include(KPropertyMacros)

simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
simple_option(KPROPERTY_WIDGETS "Build the QtWidget components of KProperty" ON)
simple_option(KPROPERTY_KF "Build components depending on KDE Frameworks" ON)

# Dependencies
set(REQUIRED_QT_VERSION 5.4.0)
set(REQUIRED_KF5_VERSION 5.16.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)

get_git_revision_and_branch()

if(KPROPERTY_WIDGETS)
    find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)
    if(KPROPERTY_KF)
        find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED Config CoreAddons WidgetsAddons GuiAddons)
        #TODO KIO
    endif()
    add_tests()    #TODO add tests for KPropertyCore, also working when KPROPERTY_WIDGETS is OFF
    add_examples() #TODO add example for KPropertyCore, also working when KPROPERTY_WIDGETS is OFF
endif()

add_unfinished_features_option()
add_pc_file(KPropertyCore)
add_pc_file(KPropertyWidgets)

add_subdirectory(src)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# Options
# ...

set(kpropertycore_LIB_SRCS
   KProperty.cpp
   KPropertyListData.cpp
   KPropertySet.cpp
   KPropertySetBuffer.cpp
   KPropertyFactory.cpp
   KPropertyCoreUtils.cpp
   kproperty_debug.cpp
)

set(kpropertycore_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}
)

ecm_create_qm_loader(kpropertycore_LIB_SRCS kpropertycore_qt)

add_library(KPropertyCore SHARED ${kpropertycore_LIB_SRCS})
set_coinstallable_lib_version(KPropertyCore)
target_link_libraries(KPropertyCore
    PUBLIC
        Qt5::Core
)
generate_export_header(KPropertyCore)

target_include_directories(KPropertyCore
    PUBLIC "$<BUILD_INTERFACE:${kpropertycore_INCLUDE_DIRS}>"
    INTERFACE "$<INSTALL_INTERFACE:${KPROPERTYCORE_INCLUDE_INSTALL_DIR}>"
)

if(KPROPERTY_WIDGETS)
    add_library(KPropertyUtilsPrivate STATIC
        KPropertyUtils_p.cpp
    )
    target_link_libraries(KPropertyUtilsPrivate
        PUBLIC
            Qt5::Widgets
    )

    add_subdirectory(editors)

    set(kpropertywidgets_LIB_SRCS
        editors/utils.cpp
        editors/booledit.cpp
        editors/coloredit.cpp
        editors/combobox.cpp
        editors/cursoredit.cpp
        editors/dateedit.cpp
        editors/datetimeedit.cpp
        #  editors/dummywidget.cpp
        editors/fontedit.cpp
        editors/pixmapedit.cpp
        editors/pointedit.cpp
        editors/pointfedit.cpp
        editors/rectedit.cpp
        editors/KPropertyRectFEditor.cpp
        editors/sizeedit.cpp
        editors/sizefedit.cpp
        editors/sizepolicyedit.cpp
        editors/spinbox.cpp
        editors/KPropertyGenericSelectionEditor.cpp
        editors/KPropertyMultiLineStringEditor.cpp
        editors/KPropertyStringEditor.cpp
        editors/KPropertyUrlEditor.cpp
        editors/linestyleedit.cpp
        #  editors/stringlistedit.cpp
        #  editors/symbolcombo.cpp
        editors/timeedit.cpp

        kproperty_debug.cpp # needed here too
        KPropertyWidgetsFactory.cpp
        KPropertyWidgetsPluginManager.cpp
        KDefaultPropertyFactory.cpp
        KPropertyEditorView.cpp
        KPropertyEditorDataModel_p.cpp
        KPropertyUtils.cpp
        KPropertyLineStyleSelector_p.cpp
        KPropertyLineStyleModel_p.cpp
        KPropertyLineStyleItemDelegate_p.cpp

        # non-source:
        Mainpage.dox
        Messages.sh
    )

     ecm_create_qm_loader(kpropertywidgets_LIB_SRCS kpropertywidgets_qt)

    set(kpropertywidgets_INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}/editors
    )
    if(NOT KPROPERTY_KF)
        list(APPEND kpropertywidgets_LIB_SRCS
            editors/3rdparty/KColorCombo.cpp
            editors/3rdparty/KColorCollection.cpp
        )
        list(APPEND kpropertywidgets_INCLUDE_DIRS
            ${CMAKE_CURRENT_SOURCE_DIR}/editors/3rdparty
        )
    endif()

    add_library(KPropertyWidgets SHARED ${kpropertywidgets_LIB_SRCS})
    set_coinstallable_lib_version(KPropertyWidgets)
    target_link_libraries(KPropertyWidgets
        PUBLIC
            KPropertyCore
            Qt5::Widgets
        PRIVATE
            KPropertyUtilsPrivate
    )
    if(KPROPERTY_KF)
        target_link_libraries(KPropertyUtilsPrivate
            PUBLIC
                KF5::ConfigGui #KConfigGroup
                KF5::GuiAddons #KColorCollection
                KF5::WidgetsAddons #KMessageBox
        )
    endif()
    generate_export_header(KPropertyWidgets)
    target_include_directories(KPropertyWidgets
        PUBLIC "$<BUILD_INTERFACE:${kpropertywidgets_INCLUDE_DIRS}>"
        INTERFACE "$<INSTALL_INTERFACE:${KPROPERTYWIDGETS_INCLUDE_INSTALL_DIR}>"
        PRIVATE editors
    )
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_CORE_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYCORE_BASE_NAME}")

# A place for KProperty plugins
set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kproperty${PROJECT_STABLE_VERSION_MAJOR})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KPROPERTYCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kproperty_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPropertyCoreConfigVersion.cmake"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPropertyCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPropertyCoreConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KPropertyCoreConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KPropertyCoreConfigVersion.cmake"
            DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
            COMPONENT Devel)

install(TARGETS KPropertyCore
            EXPORT KPropertyCoreTargets
            ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KPropertyCoreTargets
        DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
        FILE KPropertyCoreTargets.cmake)

if(KPROPERTY_WIDGETS)
    set(CMAKECONFIG_WIDGETS_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYWIDGETS_BASE_NAME}")

    ecm_setup_version(${PROJECT_VERSION}
        VARIABLE_PREFIX KPROPERTYWIDGETS
        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kproperty_version.h"
        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPropertyWidgetsConfigVersion.cmake"
    )
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/KPropertyWidgetsConfig.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/KPropertyWidgetsConfig.cmake"
        INSTALL_DESTINATION "${CMAKECONFIG_WIDGETS_INSTALL_DIR}"
    )

    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPropertyWidgetsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPropertyWidgetsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_WIDGETS_INSTALL_DIR}"
        COMPONENT Devel)

    install(TARGETS KPropertyWidgets
            EXPORT KPropertyWidgetsTargets
            ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

    install(EXPORT KPropertyWidgetsTargets
        DESTINATION "${CMAKECONFIG_WIDGETS_INSTALL_DIR}"
        FILE KPropertyWidgetsTargets.cmake)
endif()

install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if(KPROPERTY_GENERATE_PRI)
    ecm_generate_pri_file(
        BASE_NAME ${KPROPERTYCORE_BASE_NAME}
        LIB_NAME ${KPROPERTYCORE_BASE_NAME}
        DEPS "core"
        FILENAME_VAR PRI_FILENAME
        INCLUDE_INSTALL_DIR ${KPROPERTYCORE_INCLUDE_INSTALL_DIR}
    )
    if(KPROPERTY_WIDGETS)
        ecm_generate_pri_file(
            BASE_NAME ${KPROPERTYWIDGETS_BASE_NAME}
            LIB_NAME ${KPROPERTYWIDGETS_BASE_NAME}
            DEPS "widgets KPropertyCore"
            FILENAME_VAR PRI_FILENAME
            INCLUDE_INSTALL_DIR ${KPROPERTYWIDGETS_INCLUDE_INSTALL_DIR}
        )
    endif()
endif()

#ecm_install_icons(${DATA_INSTALL_DIR}/kproperty/icons)

ecm_generate_headers(kpropertycore_FORWARDING_HEADERS
    REQUIRED_HEADERS kpropertycore_HEADERS
    ORIGINAL CAMELCASE
    HEADER_NAMES
        KProperty
        KPropertyListData
        KPropertySet
        KPropertySetBuffer
        KPropertyFactory
)

list(APPEND kpropertycore_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/kproperty_version.h)

install(
    FILES
        ${kpropertycore_HEADERS}
        ${kpropertycore_FORWARDING_HEADERS}
        ${PROJECT_BINARY_DIR}/src/kpropertycore_export.h
        ${PROJECT_BINARY_DIR}/src/config-kproperty.h
    DESTINATION ${KPROPERTYCORE_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

if(KPROPERTY_WIDGETS)
    add_subdirectory(pics)

    ecm_generate_headers(kpropertywidgets_FORWARDING_HEADERS
        REQUIRED_HEADERS kpropertywidgets_HEADERS
        ORIGINAL CAMELCASE
        HEADER_NAMES
            KPropertyWidgetsFactory
            KPropertyWidgetsPluginManager
            KPropertyUtils
            KPropertyEditorView
    )

    install(
        FILES
            ${kpropertywidgets_HEADERS}
            ${kpropertywidgets_FORWARDING_HEADERS}
            ${kproperty_editors_HEADERS}
            ${kproperty_editors_FORWARDING_HEADERS}
            ${PROJECT_BINARY_DIR}/src/kpropertywidgets_export.h
        DESTINATION ${KPROPERTYWIDGETS_INCLUDE_INSTALL_DIR}
        COMPONENT Devel
    )
endif()

if(BUILD_QCH)
    kproperty_add_qch(
        KPropertyCore_QCH
        NAME KPropertyCore
        BASE_NAME ${KPROPERTYCORE_BASE_NAME}
        VERSION ${PROJECT_VERSION}
        NAMESPACE org.kde.${KPROPERTYCORE_BASE_NAME}
        SOURCES
            Mainpage.dox
            ${kpropertycore_HEADERS}
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KPROPERTYCORE_EXPORT
            KPROPERTYCORE_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
        QCH_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
    )
    set(kpropertycore_qch_targets KPropertyCore_QCH)
endif()

kproperty_install_qch_export(
    TARGETS ${kpropertycore_qch_targets}
    FILE KPropertyCoreQCHTargets.cmake
    DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
    COMPONENT Devel
)

if(KPROPERTY_WIDGETS)
    if(BUILD_QCH)
        if(KPROPERTY_KF)
            set(_KF5WidgetsAddons_QCH KF5WidgetsAddons_QCH)
        endif()
        kproperty_add_qch(
            KPropertyWidgets_QCH
            NAME KPropertyWidgets
            BASE_NAME ${KPROPERTYWIDGETS_BASE_NAME}
            VERSION ${PROJECT_VERSION}
            NAMESPACE org.kde.${KPROPERTYWIDGETS_BASE_NAME}
            SOURCES
                ${kpropertywidgets_HEADERS}
                ${kproperty_editors_HEADERS}
            LINK_QCHS
                Qt5Core_QCH
                Qt5Gui_QCH
                Qt5Widgets_QCH
                KPropertyCore_QCH
                ${_KF5WidgetsAddons_QCH}
            BLANK_MACROS
                KPROPERTYWIDGETS_EXPORT
                KPROPERTYWIDGETS_DEPRECATED
            TAGFILE_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
            QCH_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
        )
        set(kpropertywidgets_qch_targets KPropertyWidgets_QCH)
    endif()

    kproperty_install_qch_export(
        TARGETS ${kpropertywidgets_qch_targets}
        FILE KPropertyWidgetsQCHTargets.cmake
        DESTINATION "${CMAKECONFIG_WIDGETS_INSTALL_DIR}"
        COMPONENT Devel
    )
endif()

enable_testing()

configure_file(config-kproperty.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kproperty.h)

## kproperty 3.0.2

=== debian/changelog ===
kproperty (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Update symbols files.
  * Small copyright update.
  * Bump the frameworks build dependencies to 5.16.0, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 10:53:05 +0200

kproperty (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Do not try to copy translations for now, since this release does not
    include them.
  * Update symbols files.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 11:39:36 +0200

kproperty (3.0.0-2) experimental; urgency=medium

  * Add the qtbase5-dev, and libkf5widgetsaddons-dev dependencies to
    libkproperty3-dev, needed to use the kproperty headers.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2017 23:29:55 +0100

kproperty (3.0.0-1) experimental; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jan 2017 15:43:37 +0100

=== debian/control ===
Source: kproperty
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0),
               libkf5config-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               pkg-kde-tools (>= 0.15.16),
Standards-Version: 4.0.1
Homepage: https://community.kde.org/KProperty
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kproperty.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kproperty.git

Package: libkpropertycore3-3
Architecture: any
Multi-Arch: same
Depends: libkproperty-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: property editing framework -- core library
 KProperty is a property editing framework with editor widget similar
 to what is known from Qt Designer.
 .
 This package contains the shared core library.
 .
 This package is part of the Calligra Suite.

Package: libkpropertywidgets3-3
Architecture: any
Multi-Arch: same
Depends: libkproperty-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: property editing framework -- widgets library
 KProperty is a property editing framework with editor widget similar
 to what is known from Qt Designer.
 .
 This package contains the shared widgets library.
 .
 This package is part of the Calligra Suite.

Package: libkproperty-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for KProperty
 KProperty is a property editing framework with editor widget similar
 to what is known from Qt Designer.
 .
 This package contains the architecture independent data files for the
 KProperty libraries.
 .
 This package is part of the Calligra Suite.

Package: libkproperty3-dev
Architecture: any
Section: libdevel
Depends: libkpropertycore3-3 (= ${binary:Version}),
         libkpropertywidgets3-3 (= ${binary:Version}),
         qtbase5-dev,
         libkf5widgetsaddons-dev,
         ${misc:Depends},
Description: development files for KProperty
 KProperty is a property editing framework with editor widget similar
 to what is known from Qt Designer.
 .
 This package contains the development files for the KProperty libraries.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

http://download.kde.org/stable/kproperty/src/kproperty-([\d\.]+)\.tar\.xz

## kproperty 3.1.0

=== debian/changelog ===
kproperty (3.1.0-2~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Oct 2018 20:03:21 -0700

kproperty (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:31:19 +0100

kproperty (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libkpropertycore3-3 to libkpropertycore3-4, and
    libkpropertywidgets3-3 to libkpropertywidgets3-4 according to the upstream
    SONAME bumps.
  * Add the required qttools5-dev build dependency.
  * Update install files.
  * Update symbols files.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 11:50:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
@@ -12,12 +13,13 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.0.1
+               qttools5-dev,
+Standards-Version: 4.1.3
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kproperty.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kproperty.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty
 
-Package: libkpropertycore3-3
+Package: libkpropertycore3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkproperty-data (>= ${source:Version}),
@@ -31,7 +33,7 @@
  .
  This package is part of the Calligra Suite.
 
-Package: libkpropertywidgets3-3
+Package: libkpropertywidgets3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkproperty-data (>= ${source:Version}),
@@ -61,8 +63,8 @@
 Package: libkproperty3-dev
 Architecture: any
 Section: libdevel
-Depends: libkpropertycore3-3 (= ${binary:Version}),
-         libkpropertywidgets3-3 (= ${binary:Version}),
+Depends: libkpropertycore3-4 (= ${binary:Version}),
+         libkpropertywidgets3-4 (= ${binary:Version}),
          qtbase5-dev,
          libkf5widgetsaddons-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kproperty 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)
 
-project(KProperty VERSION 3.1.0) # Update this
+project(KProperty VERSION 3.2.0) # Update this
 
 # CMake
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_USE_QSTRINGBUILDER
)

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(FILES_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(
    -DFILES_OUTPUT_DIR=\"${FILES_OUTPUT_DIR}\"
)

include_directories(
    ${CMAKE_BINARY_DIR}/src/kproperty
    ${CMAKE_BINARY_DIR}/src/editors/kproperty
)

include(ECMAddTests)

find_package(Qt5Test REQUIRED)

ecm_add_tests(
    KPropertyTest.cpp
    KPropertySetTest.cpp
    LINK_LIBRARIES
        Qt5::Test
        KPropertyWidgets
)

if(NOT WIN32) #TODO enable for Windows when headers_test.sh is ported e.g. to python
    add_subdirectory(headers)
endif()

=== examples/CMakeLists.txt ===
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
)

set(kpropertyexample_SRCS main.cpp window.cpp)
add_executable(kpropertyexample ${kpropertyexample_SRCS})
target_link_libraries(kpropertyexample
    KPropertyWidgets
    KPropertyUtilsPrivate
)
if(KPROPERTY_KF)
    target_link_libraries(kpropertyexample
        KF5::ConfigGui #KConfigGroup
    )
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 set(kpropertycore_LIB_SRCS
    KProperty.cpp
+   KPropertyComposedUrl.cpp
    KPropertyListData.cpp
    KPropertySet.cpp
    KPropertySetBuffer.cpp
@@ -60,10 +61,12 @@
         editors/sizefedit.cpp
         editors/sizepolicyedit.cpp
         editors/spinbox.cpp
+        editors/KPropertyComposedUrlEditor.cpp
         editors/KPropertyGenericSelectionEditor.cpp
         editors/KPropertyMultiLineStringEditor.cpp
         editors/KPropertyStringEditor.cpp
         editors/KPropertyUrlEditor.cpp
+        editors/KPropertyUrlEditor_p.cpp
         editors/linestyleedit.cpp
         #  editors/stringlistedit.cpp
         #  editors/symbolcombo.cpp
@@ -73,6 +76,7 @@
         KPropertyWidgetsFactory.cpp
         KPropertyWidgetsPluginManager.cpp
         KDefaultPropertyFactory.cpp
+        KPropertyEditorItemEvent.cpp
         KPropertyEditorView.cpp
         KPropertyEditorDataModel_p.cpp
         KPropertyUtils.cpp
@@ -129,7 +133,7 @@
 set(CMAKECONFIG_CORE_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYCORE_BASE_NAME}")
 
 # A place for KProperty plugins
-set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kproperty${PROJECT_STABLE_VERSION_MAJOR})
+set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KPROPERTYCORE
@@ -215,6 +219,7 @@
     ORIGINAL CAMELCASE
     HEADER_NAMES
         KProperty
+        KPropertyComposedUrl
         KPropertyListData
         KPropertySet
         KPropertySetBuffer
@@ -243,6 +248,7 @@
             KPropertyWidgetsFactory
             KPropertyWidgetsPluginManager
             KPropertyUtils
+            KPropertyEditorItemEvent
             KPropertyEditorView
     )

=== autotests/headers/CMakeLists.txt ===
# Test if all the installed headers can be included individually. Requires installed headers.

add_test(
    NAME HeadersTest
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/headers_test.sh
                "${CMAKE_BINARY_DIR}" "${CMAKE_SOURCE_DIR}" KPropertyWidgets kproperty .
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
)

# Just show dependent files in the project:
add_custom_target(HeadersTest SOURCES headers_test.sh HeadersTestInclude.cmake)

=== src/editors/CMakeLists.txt ===
set(KPROPERTY_EDITORS_HEADERS
        Utils
        BoolEdit
        ColorEdit
        ComboBox
        CursorEdit
        DateEdit
        DateTimeEdit
        #DummyWidget
        FontEdit
        LineStyleEdit
        PixmapEdit
        PointEdit
        RectEdit
        SizeEdit
        SizePolicyEdit
        SpinBox
        #StringListEdit
        #SymbolCombo
        TimeEdit
)

ecm_generate_headers(kproperty_editors_FORWARDING_HEADERS
    REQUIRED_HEADERS kproperty_editors_HEADERS
    # TODO: rename to camelcase, then uncomment "ORIGINAL CAMELCASE"
    HEADER_NAMES ${KPROPERTY_EDITORS_HEADERS}
)

ecm_generate_headers(kproperty_editors_FORWARDING_HEADERS
    REQUIRED_HEADERS kproperty_editors_HEADERS
    ORIGINAL CAMELCASE
    HEADER_NAMES
        KPropertyGenericSelectionEditor
        KPropertyMultiLineStringEditor
        KPropertyRectFEditor
        KPropertyStringEditor
        KPropertyUrlEditor
)

set(kproperty_editors_HEADERS ${kproperty_editors_HEADERS} PARENT_SCOPE)
set(kproperty_editors_FORWARDING_HEADERS ${kproperty_editors_FORWARDING_HEADERS} PARENT_SCOPE)

=== debian/changelog ===
kproperty (3.2.0-3) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113083)
  * Tweak watch file so it works with newer versions of uscan.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:07:41 +0200

kproperty (3.2.0-2) unstable; urgency=medium

  * Update symbols file for GCC 10. (Closes: #957410)
  * Add Rules-Requires-Root: no.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.0, no changes required.
  * Stop adding the as-needed linker flag, as it is the default in binutils.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jul 2020 08:19:11 +0200

kproperty (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Backport upstream commit e1bdc4e6e857f9c355068500e2e50217c3fb8b8c to avoid
    an ABI change w.r.t 3.1.0; patch
    upstream_Restore-KPropertyDoubleSpinBox-resizeEvent-override.patch.
  * Update install files.
  * Update symbols files.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 08:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
@@ -14,10 +13,10 @@
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
                qttools5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kproperty
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kproperty.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kproperty
 
 Package: libkpropertycore3-4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_TESTING=OFF

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/kproperty/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kproperty 3.2.0+p24.04+vstable+git20250901.0351

=== debian/changelog ===
kproperty (3.2.0+p24.04+vstable+git20250901.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 03:51:24 +0000

kproperty (3.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Mar 2018 10:12:19 +0000

kproperty (3.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 10:30:05 +0000

kproperty (3.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2017 13:36:06 +0000

kproperty (3.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Oct 2016 11:48:14 +0000

## kproperty 3.2.0+p24.04+vstable+git20251024.0103

=== debian/changelog ===
kproperty (3.2.0+p24.04+vstable+git20251024.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:03:20 +0000

## kproperty 3.2.0+p24.04+vstable+git20251231.0103

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,14 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)
 
-project(KProperty VERSION 3.2.0) # Update this
+project(KProperty VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
 
 # CMake
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 
 # ECM
+include(ECMCoverageOption)
 if(KPROPERTY_GENERATE_PRI)
     include(ECMGeneratePriFile)
 endif()
@@ -50,13 +51,9 @@
 endif()
 
 add_unfinished_features_option()
-add_pc_file(KPropertyCore)
-add_pc_file(KPropertyWidgets)
 
 add_subdirectory(src)
 
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ecm_install_po_files_as_qm(po)
-endif()
+ecm_install_po_files_as_qm(poqm)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kproperty (3.2.0+p24.04+vstable+git20251231.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:03:57 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kproperty 3.2.0+p24.04+vunstable+git20251028.0931

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,10 +130,10 @@
 endif()
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_CORE_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYCORE_BASE_NAME}")
+set(CMAKECONFIG_CORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KPROPERTYCORE_BASE_NAME}")
 
 # A place for KProperty plugins
-set(KPROPERTY_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
+set(KPROPERTY_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX KPROPERTYCORE
@@ -162,7 +162,7 @@
         FILE KPropertyCoreTargets.cmake)
 
 if(KPROPERTY_WIDGETS)
-    set(CMAKECONFIG_WIDGETS_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KPROPERTYWIDGETS_BASE_NAME}")
+    set(CMAKECONFIG_WIDGETS_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KPROPERTYWIDGETS_BASE_NAME}")
 
     ecm_setup_version(${PROJECT_VERSION}
         VARIABLE_PREFIX KPROPERTYWIDGETS
@@ -212,7 +212,7 @@
     endif()
 endif()
 
-#ecm_install_icons(${DATA_INSTALL_DIR}/kproperty/icons)
+#ecm_install_icons(${KDE_INSTALL_DATADIR}/kproperty/icons)
 
 ecm_generate_headers(kpropertycore_FORWARDING_HEADERS
     REQUIRED_HEADERS kpropertycore_HEADERS
@@ -265,27 +265,31 @@
 endif()
 
 if(BUILD_QCH)
-    kproperty_add_qch(
+    ecm_add_qch(
         KPropertyCore_QCH
         NAME KPropertyCore
         BASE_NAME ${KPROPERTYCORE_BASE_NAME}
         VERSION ${PROJECT_VERSION}
-        NAMESPACE org.kde.${KPROPERTYCORE_BASE_NAME}
+        ORG_DOMAIN org.kde.${KPROPERTYCORE_BASE_NAME}
         SOURCES
             Mainpage.dox
             ${kpropertycore_HEADERS}
         LINK_QCHS
             Qt5Core_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${kpropertycore_INCLUDE_DIRS}
         BLANK_MACROS
             KPROPERTYCORE_EXPORT
             KPROPERTYCORE_DEPRECATED
-        TAGFILE_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
-        QCH_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
     )
     set(kpropertycore_qch_targets KPropertyCore_QCH)
 endif()
 
-kproperty_install_qch_export(
+ecm_install_qch_export(
     TARGETS ${kpropertycore_qch_targets}
     FILE KPropertyCoreQCHTargets.cmake
     DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
@@ -297,12 +301,12 @@
         if(KPROPERTY_KF)
             set(_KF5WidgetsAddons_QCH KF5WidgetsAddons_QCH)
         endif()
-        kproperty_add_qch(
+        ecm_add_qch(
             KPropertyWidgets_QCH
             NAME KPropertyWidgets
             BASE_NAME ${KPROPERTYWIDGETS_BASE_NAME}
             VERSION ${PROJECT_VERSION}
-            NAMESPACE org.kde.${KPROPERTYWIDGETS_BASE_NAME}
+            ORG_DOMAIN org.kde.${KPROPERTYWIDGETS_BASE_NAME}
             SOURCES
                 ${kpropertywidgets_HEADERS}
                 ${kproperty_editors_HEADERS}
@@ -312,16 +316,20 @@
                 Qt5Widgets_QCH
                 KPropertyCore_QCH
                 ${_KF5WidgetsAddons_QCH}
+            INCLUDE_DIRS
+                ${CMAKE_CURRENT_BINARY_DIR}
+                ${kpropertywidgets_INCLUDE_DIRS}
             BLANK_MACROS
                 KPROPERTYWIDGETS_EXPORT
                 KPROPERTYWIDGETS_DEPRECATED
-            TAGFILE_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
-            QCH_INSTALL_DESTINATION ${KPROPERTY_QTQCH_FULL_INSTALL_DIR}
+            TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+            QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+            COMPONENT Devel
         )
         set(kpropertywidgets_qch_targets KPropertyWidgets_QCH)
     endif()
 
-    kproperty_install_qch_export(
+    ecm_install_qch_export(
         TARGETS ${kpropertywidgets_qch_targets}
         FILE KPropertyWidgetsQCHTargets.cmake
         DESTINATION "${CMAKECONFIG_WIDGETS_INSTALL_DIR}"

=== debian/changelog ===
kproperty (3.2.0+p24.04+vunstable+git20251028.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:31:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kproperty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
@@ -12,11 +11,13 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                pkg-kde-tools (>= 0.15.16),
-               qttools5-dev,
-Standards-Version: 4.7.2
+               qttools5-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://community.kde.org/KProperty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kproperty.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kproperty
+Vcs-Git: https://invent.kde.org/neon/extras/kproperty.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kproperty
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkpropertycore3-4
 Architecture: any
@@ -50,6 +51,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: libkproperty-l10n, libkpropertywidgets-data
+Conflicts: libkproperty-l10n, libkpropertywidgets-data
+Replaces: libkproperty-l10n, libkpropertywidgets-data
 Description: data files for KProperty
  KProperty is a property editing framework with editor widget similar
  to what is known from Qt Designer.
@@ -62,11 +66,11 @@
 Package: libkproperty3-dev
 Architecture: any
 Section: libdevel
-Depends: libkpropertycore3-4 (= ${binary:Version}),
+Depends: libkf5widgetsaddons-dev,
+         libkpropertycore3-4 (= ${binary:Version}),
          libkpropertywidgets3-4 (= ${binary:Version}),
          qtbase5-dev,
-         libkf5widgetsaddons-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for KProperty
  KProperty is a property editing framework with editor widget similar
  to what is known from Qt Designer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

.PHONY: override_dh_auto_test

## kproperty 3.2.0+p24.04+vunstable+git20251219.0110

=== debian/changelog ===
kproperty (3.2.0+p24.04+vunstable+git20251219.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 Dec 2025 01:10:31 +0000

## kproperty 3.2.0+p24.04+vunstable+git20260105.1201

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 set(KPROPERTY_GENERATE_PRI TRUE)
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+
+set(REQUIRED_KF5_VERSION 5.36.0)
+find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 include(SetKPropertyCMakePolicies NO_POLICY_SCOPE)
 
 project(KProperty VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
@@ -22,10 +24,10 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMAddQch)
 
 # Own
 include(KPropertyAddIconsRccFile)
-include(KPropertyAddQCH)
 include(KPropertyMacros)
 
 simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
@@ -34,7 +36,6 @@
 
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
-set(REQUIRED_KF5_VERSION 5.16.0)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)

=== debian/changelog ===
kproperty (3.2.0+p24.04+vunstable+git20260105.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:01:25 +0000
